#include "response_gen.h"
#include "../baza_inter.h"
#include <assert.h>
#include <string.h>


namespace een9 {
    ServerResponse form_http_server_response_200(const std::string& Content_Type, const std::string& body) {
        return een9::ServerResponse{"200", "OK",
            {{"Content-Type", Content_Type}, {"Content-Length", std::to_string(body.size())}}, body};
    }

    ServerResponse form_http_server_response_404(const std::string& Content_Type, const std::string& body) {
        return een9::ServerResponse{"404", "ERROR",
            {{"Content-Type", Content_Type}, {"Content-Length", std::to_string(body.size())}}, body};
    }

    ServerResponse form_http_server_response_303(const std::string& Location) {
        return een9::ServerResponse{"303", "Go here", {{"Location", Location}}, ""};
    }


    ServerResponse form_http_server_response_303_spec_head(const std::string &Location,
        const std::vector<std::pair<std::string, std::string>>& headers) {
        ServerResponse r{"303", "Go here", {{"Location", Location}}, ""};
        for (auto& hl: headers)
            r.headers.push_back(hl);
        return r;
    }
}
